Skip to content

Searches for contacts using predefined parameters

Request

Searches for contacts using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The contact that you would like to be saved.

citystring(City)

City to search

contact_role_idstring(Contact Role)
countrystring(Country)

The country

email_addressstring(Email Address)
first_namestring(First Name)
idsArray of strings(Ids)

IDs to search

job_titlestring(Job Title)
last_namestring(Last Name)
nicknamestring(Nickname)
numberArray of numbers, (float)(Number)
organization_idArray of strings(Organization)
organization_namestring(Organization Name)
statestring(State)

The state

statusArray of strings(Status)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "city": "string",
    "contact_role_id": "string",
    "country": "string",
    "email_address": "string",
    "first_name": "string",
    "ids": [
      "string"
    ],
    "job_title": "string",
    "last_name": "string",
    "nickname": "string",
    "number": [
      0.1
    ],
    "organization_id": [
      "string"
    ],
    "organization_name": "string",
    "state": "string",
    "status": [
      "string"
    ]
  }'

Responses

The contact search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(ContactSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }